HP Views Designer Assistant: MenuScreenController Class Reference

| HP Views Designer Assistant 1.0.0 TFG - Alberto Gutierrez Perez - Universidad de Valladolid |

Public Slots | Public Member Functions | Private Member Functions | Private Attributes | List of all members
MenuScreenController Class Reference

The MenuScreenController class. More...

`#include <menuscreencontroller.h>`

Inheritance diagram for MenuScreenController:

## Public Slots

void | backExit ()
| backExit This slot is executed when goback button is clicked.

## Public Member Functions

| MenuScreenController (MenuScreen *view)
| MenuScreenController constructor. More...
void | on_title_options ()
| on_title_options Gets the screen icon title option and sets it into the menu model.
void | on_continueBtn_clicked ()
| on_continueBtn_clicked Changes between the primary view and the secondary view.
void | automatic_icon_position ()
| automatic_icon_position Gets the screen automatic icon option and sets it into the menu model.
void | number_of_icons ()
| number_of_icons Gets the screen number of icons and sets it into the menu model.
void | iconTitle ()
| iconTitle Gets the screen icon title and sets it into the menu model.
void | nextIcon ()
| nextIcon Changes the current icon.
void | topMargin ()
| topMargin Gets the screen icon top margin and sets it into the menu model.
void | rigthMargin ()
| rigthMargin Gets the screen icon right margin and sets it into the menu model.
void | bottomMargin ()
| bottomMargin Gets the screen icon bottom margin and sets it into the menu model.
void | leftMargin ()
| leftMargin Gets the screen icon left margin and sets it into the menu model.
void | colorBackground ()
| colorBackground Gets the screen background color and sets it into the menu model.
void | imageBackground ()
| imageBackground Gets the screen background image and sets it into the menu model.
void | checkMenuSize ()
| checkMenuSize Checks the size of the elements in the screen.
void | heightView ()
| heightView Gets the screen height and sets it into the menu model.
void | widthView ()
| widthView Gets the screen width and sets it into the menu model.
void | iconImage ()
| iconImage Gets the icon path image and sets it into the menu model.
void | setModel (Interfaz *interfaz)
| setModel Sets the menu model. More...
void | goBack ()
| goBack Goes to the previous icon, if is the first icon, goes to menu general options.
Public Member Functions inherited from Controller
| Controller ()
| Controller constructor.
void | on_homeBtn_clicked (bool ask=true)
| on_homeBtn_clicked. More...
void | on_settingsBtn_clicked ()
| on_settingsBtn_clicked.
void | on_helpBtn_clicked (QString path, QPoint position)
| on_helpBtn_clicked. More...

## Private Member Functions

void | updateIconViewProgress (bool isBack=false)
| updateIconViewProgress Updates progress view. More...
void | calculateCurrentIcon ()
| calculateCurrentIcon Calculates the current icon.
void | setIconInfo ()
| setIconInfo Shows the current icon information.
void | finish ()
| finish Finish the edition and shows the preview of the QML interface.

## Private Attributes

int | currentIcon
| currentIcon Current icon index.
bool | isFromEdit
| isFromEdit Whether the interface is made from edition.
bool | isBack
| isBack Wheter the user has gone back.

## Additional Inherited Members

Protected Member Functions inherited from Controller
bool | confirmExit ()
| confirmExit ask the user for exit confirmation. More...
void | showPreview (QString path)
| showPreview show graphic preview of QML file. More...
QString | getLongSavePath ()
| getLongSavePath ask the user the location to save the file. More...
void | switchToOptionsView ()
| switchToOptionsView change the current view to the secondary view.
Protected Attributes inherited from Controller
View * | generalView
| generalView primary view.
View * | optionsView
| optionsView secondary view.
Interfaz * | interfaz
| interfaz interface.

## Detailed Description

The MenuScreenController class.

## Constructor & Destructor Documentation

## ◆ MenuScreenController()

MenuScreenController::MenuScreenController | ( | MenuScreen * | view | ) |

MenuScreenController constructor.

Parameters

  view | menu screen view.

## Member Function Documentation

## ◆ setModel()

void MenuScreenController::setModel | ( | Interfaz * | interfaz | ) |

setModel Sets the menu model.

Parameters

  interfaz | Interface model.

## ◆ updateIconViewProgress()

void MenuScreenController::updateIconViewProgress | ( | bool | isBack = `false` | ) |

private

updateIconViewProgress Updates progress view.

Parameters

  isBack | Wheter the user has gone back.

The documentation for this class was generated from the following files:

- D:/Documentos/ViewDesignerAssistant/Controller/menuscreencontroller.h
- D:/Documentos/ViewDesignerAssistant/Controller/menuscreencontroller.cpp